<?php
session_start();/**************************************************صفحة حذف الجاليرى*******************************************************************/

/*  اسم الجدول وبداية الكويرى */  
$table="galleries";
$file ="";
//استدعاء ملف الاعدادات
$conc_type='cp_exec_conc';
include '../conf.php';
include '../conf_sub.php';
//استدعاء ملف الاتصال بقاعدة البيانات
//include $cp_exec_conc;

//استدعاء ملف معالجة الحقن
include("../injection.php");
is_num($_POST['id']);
//ايقاف التنفيذ فى حالة عدم تسجيل الدخول
if(!isset($_SESSION[$domain.'_user']) || $_SESSION[$domain.'_user']==""){die;}

$query2="select `images` from $table where id=".$_POST['id'];
//تنفيذ الاستعلام
$result=mysqli_query($conn,$query2);

   /*بداية التكرار */  
 while($fetch = mysqli_fetch_array($result)) {
   		 $fetch = clean_array($fetch);

$current_images=explode(",",$fetch['images']);
$xx=0;
foreach ($current_images as $key => $value) {
//echo $value;	

     
  
   /*استخراج الصورة الاساسية*/  
  $current_image=explode(".",$value);
if($xx!=0){
$file = "../img/$table/$current_image[0].$current_image[1]";
unlink($file);	
$file = "../img/$table/$current_image[0]_tiny.$current_image[1]";
unlink($file);
$file = "../img/$table/$current_image[0]_tiny.webp";
unlink($file);
}
$xx++;
}

}

//بداية الاستعلام
$query="delete  from $table where id=".$_POST['id'];
mysqli_query($conn,$query);


?>